SLikeNet 0.1.3

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Groups Pages
Classes | Namespaces | Macros | Typedefs
TeamBalancer.h File Reference

Set and network team selection (supports peer to peer or client/server) More...

`#include "NativeFeatureIncludes.h"`
`#include "PluginInterface2.h"`
`#include "memoryoverride.h"`
`#include "NativeTypes.h"`
`#include "DS_List.h"`
`#include "string.h"`

Go to the source code of this file.

## Classes

class | SLNet::TeamBalancer
| Set and network team selection (supports peer to peer or client/server) More...
struct | SLNet::TeamBalancer::TeamMember
struct | SLNet::TeamBalancer::MyTeamMembers

## Namespaces

namespace | SLNet
| Simple class to send changes between directories. In essence, a simple autopatcher that can be used for transmitting levels, skins, etc.

## Macros

#define | UNASSIGNED_TEAM_ID 255

## Typedefs

typedef unsigned char | SLNet::TeamId

## Detailed Description

Set and network team selection (supports peer to peer or client/server)

Automatically handles transmission and resolution of team selection, including team switching and balancing

Deprecated:
  Use TeamManager intead

Definition in file TeamBalancer.h.

## Macro Definition Documentation

#define UNASSIGNED_TEAM_ID 255

Definition at line 51 of file TeamBalancer.h.